org.vishia.commander

## Class FcmdFavorPathSelector.FavorFolder

- java.lang.Object
- - org.vishia.commander.FcmdFavorPathSelector.FavorFolder

- Enclosing class:
    FcmdFavorPathSelector

      static class FcmdFavorPathSelector.FavorFolder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `label` The label on the tab in tabbed panel.
    `(package private) java.util.List<FcmdFavorPathSelector.FavorPath>` | `listfavorPaths` The associated list of selectInfos.
    `(package private) int` | `mMainPanel` bit 0..2 present this favorite on the designated main panel 1..3 or l, m, r, it means, a tab with the label will be created.
    `(package private) java.lang.String` | `selectNameTab` The name shown in the list.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FavorFolder(java.lang.String label, java.lang.String selectNameTab)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### label

          final java.lang.String label

      The label on the tab in tabbed panel.

    - #### selectNameTab

          final java.lang.String selectNameTab

      The name shown in the list.

    - #### listfavorPaths

          final java.util.List<FcmdFavorPathSelector.FavorPath> listfavorPaths

      The associated list of selectInfos.

    - #### mMainPanel

          int mMainPanel

      bit 0..2 present this favorite on the designated main panel 1..3 or l, m, r, it means, a tab with the label will be created.

  - ### Constructor Detail

    - #### FavorFolder

          public FavorFolder(java.lang.String label,
                             java.lang.String selectNameTab)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`